Abort a file upload
curl --request POST \
--url https://api.ando.so/v1/files/{fileId}/abort \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/files/{fileId}/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/files/{fileId}/abort"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"object": "file",
"id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"status": "aborted",
"purpose": "message_attachment",
"filename": "report.pdf",
"content_type": "application/pdf",
"size_bytes": 12345,
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:02:00.000Z",
"upload": null
},
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p"
}Abort a file upload
Aborts an active direct storage upload and makes the file id unusable for message attachments.
POST
https://api.ando.so/v1
/
files
/
{fileId}
/
abort
Abort a file upload
curl --request POST \
--url https://api.ando.so/v1/files/{fileId}/abort \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/files/{fileId}/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/files/{fileId}/abort"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"object": "file",
"id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"status": "aborted",
"purpose": "message_attachment",
"filename": "report.pdf",
"content_type": "application/pdf",
"size_bytes": 12345,
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:02:00.000Z",
"upload": null
},
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p"
}Authorizations
AndoApiKeyBearerApiKey
Response
Aborted file upload.
Public file response envelope.